Documentation

Years

Update year

Update year theme or status

ProductionStagingUAT
PUThttps://ankiren.com/api/me/okr/{yearId}

Parameters

Path Parameters

  • yearIdintegerpathRequired

    OKR year ID

Request Body

Bắt buộc.

  • themestring?

    Year theme

  • status"active" | "completed" | "cancelled"

    Status of the OKR item

application/json
{
  "theme": "string",
  "status": "active"
}

Responses

200 · Year updated

  • yearOkrYear
    • idinteger
    • userIdstring
    • yearinteger

      Calendar year

    • themestring?

      Optional theme for the year

    • status"active" | "completed" | "cancelled"

      Status of the OKR item

    • createdAtstring<date-time>
      format: date-time
    • updatedAtstring<date-time>
      format: date-time
application/json
{
  "year": {
    "id": 0,
    "userId": "string",
    "year": 0,
    "theme": "string",
    "status": "active",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X PUT 'https://ankiren.com/api/me/okr/{yearId}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "theme": "string",
  "status": "active"
}'